Package org.eclipse.gef.layout.algorithms

# Interface SugiyamaLayoutAlgorithm.CrossingReducer

All Known Implementing Classes:
  `SugiyamaLayoutAlgorithm.BarycentricCrossingReducer`, `SugiyamaLayoutAlgorithm.GreedyCrossingReducer`, `SugiyamaLayoutAlgorithm.SplitCrossingReducer`

Enclosing class:
  SugiyamaLayoutAlgorithm

public static interface SugiyamaLayoutAlgorithm.CrossingReducer
An interface for heuristics that reduces edge crossings.

## Method Summary

Modifier and Type
Method
Description
`void`
`crossReduction(List<List<SugiyamaLayoutAlgorithm.NodeWrapper>> nodes)`
From the given nodes it creates a map of NodeLayouts and NodeWrappers which contains the layers and indexes of the nodes

## Method Details

### crossReduction

void crossReduction(List<List<SugiyamaLayoutAlgorithm.NodeWrapper>> nodes)
From the given nodes it creates a map of NodeLayouts and NodeWrappers which contains the layers and indexes of the nodes

Parameters:
  `nodes` - List of nodes needed to be organized